This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 488379 - Accessing Solaris package install tab from SDC results in ISE
Accessing Solaris package install tab from SDC results in ISE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Solaris (Show other bugs)
530
All Linux
high Severity medium
: ---
: ---
Assigned To: Sayli Karmarkar
Steve Salevan
:
Depends On:
Blocks: 457000 486216
  Show dependency treegraph
 
Reported: 2009-03-03 18:08 EST by Steve Salevan
Modified: 2015-03-22 21:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:15:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ISE produced by clicking on tab, taken from catalina.out (5.97 KB, text/plain)
2009-03-03 18:08 EST, Steve Salevan
no flags Details

  None (edit)
Description Steve Salevan 2009-03-03 18:08:22 EST
Created attachment 333948 [details]
ISE produced by clicking on tab, taken from catalina.out

Description of problem:
If a user registers a Solaris machine to their Satellite, assigning it to a channel populated by packages, then accesses the package install tab from the SDC, they will receive an ISE.  If the user checks catalina.out, they'll see the attached traceback.

Version-Release number of selected component (if applicable):
530-re20090227.1

How reproducible:
Always

Steps to Reproduce:
1. Register a Solaris box to a Satellite
2. Ensure that this box is assigned to a channel that has Solaris packages present within it
3. Access the SDC for the Solaris box
4. Software->Packages->Install
  
Actual results:
ISE, resulting in attached traceback

Expected results:
Package install list

Additional info:
Comment 1 Sayli Karmarkar 2009-03-05 15:41:07 EST
git commit -a -m "488379 - Syntax error in sql query causing ISE corrected"

commit	4b1d8f55eb6cccc5e4f3c3a197224f988527afa6

~SayliK
Comment 2 Steve Salevan 2009-03-10 11:25:13 EDT
Looks good to me on 530-re20090306.2.  Moving to VERIFIED.
Comment 3 Milan Zazrivec 2009-09-09 07:46:51 EDT
Verified in stage -> RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 14:15:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.